[android-components](../../index.md) / [org.mozilla.telemetry.measurement](../index.md) / [DefaultSearchMeasurement](./index.md)

# DefaultSearchMeasurement

`open class DefaultSearchMeasurement : `[`TelemetryMeasurement`](../-telemetry-measurement/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/measurement/DefaultSearchMeasurement.java#L9)

### Types

| Name | Summary |
|---|---|
| [DefaultSearchEngineProvider](-default-search-engine-provider/index.md) | `interface DefaultSearchEngineProvider` |

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `DefaultSearchMeasurement()` |

### Functions

| Name | Summary |
|---|---|
| [flush](flush.md) | `open fun flush(): `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html) |
| [setDefaultSearchEngineProvider](set-default-search-engine-provider.md) | `open fun setDefaultSearchEngineProvider(provider: `[`DefaultSearchEngineProvider`](-default-search-engine-provider/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |

### Inherited Functions

| Name | Summary |
|---|---|
| [getFieldName](../-telemetry-measurement/get-field-name.md) | `open fun getFieldName(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
